import net.sf.jftp.net.ConnectionHandler;
import net.sf.jftp.net.ConnectionListener;
import net.sf.jftp.net.DataConnection;
import net.sf.jftp.net.FtpConnection;
import net.sf.jftp.util.Log;
import net.sf.jftp.util.Logger;
import net.sf.jftp.config.Settings;

import java.io.*;

public class FtpUpload implements Logger, ConnectionListener
{

 // is the connection established?
 private boolean isThere = false;

 // Connection pool
 private ConnectionHandler handler = new ConnectionHandler();

 public FtpUpload(String host, String dir, String file)
 {
 	// register app as Logger
 	Log.setLogger(this);


	// init connection
 	FtpConnection con = new FtpConnection(host);

	// set updatelistener
	con.setConnectionListener(this);

	// set handler
	con.setConnectionHandler(handler);

	con.login("anonymous","no@no.no");

	// set in updateRemoteDirectory, wait until logged in
	while(!isThere)
	{
		try { Thread.sleep(10); }
		catch(Exception ex) { ex.printStackTrace(); }
	}

	// change to incoming directory
	con.chdir(dir);
	
	// upload a file
	con.upload(file);
 }

 public static void main(String argv[])
 {
    if(argv.length == 3)
    { 
	    FtpUpload f = new FtpUpload(argv[0], argv[2], argv[1]); 
    }
    else 
    {
     FtpUpload g = 
	    new FtpUpload("upload.sourceforge.net", "/incoming", "test.txt");
    }
}

 /** needed by Logger interface */
 public void debugWrite(String msg)
 {
 	System.out.println(msg);
 }

 /** needed by ConnectionListener interface */
 public void updateRemoteDirectory(FtpConnection con)
 {
 	System.out.println("new path is: " + con.getPWD());
 }
 
 public void connectionInitialized(FtpConnection con)
 {
  	isThere = true;
 }
 
 
 public void updateProgress(DataConnection con, String file, String type, int bytes) {}
 
 public void connectionFailed(FtpConnection con, String why) {System.out.println("connection failed!");}
 
     public void debug(String msg) {System.out.println(msg);}

    public void debug(String msg, Throwable throwable) {}

    public void warn(String msg) {}

    public void warn(String msg, Throwable throwable) {}

    public void error(String msg) {}

    public void error(String msg, Throwable throwable) {}

    public void info(String msg) {}

    public void info(String msg, Throwable throwable) {}

    public void fatal(String msg) {}

    public void fatal(String msg, Throwable throwable) {}

}
